List accounts
curl --request GET \
--url https://api.sandbox.tracefinance.com/v1/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tracefinance.com/v1/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tracefinance.com/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a1b2c3d4-5e6f-7890-abcd-ef1234567890",
"customer": {
"id": "c1a2b3c4-d5e6-7890-abcd-ef1234567890"
},
"owner": {
"type": "COMPANY",
"legalName": "Acme Ltda",
"taxId": {
"value": "11222333000181",
"type": "CNPJ"
},
"industry": "SOFTWARE_DEVELOPMENT",
"expectedMonthlyVolume": "FROM_0_TO_50000",
"address": {
"addressLine1": "Rua das Flores, 100",
"city": "São Paulo",
"country": "BR",
"postalCode": "01234-567",
"addressLine2": "Suite 456",
"state": "SP"
},
"ubos": [
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "João Silva",
"taxId": {
"value": "11222333000181",
"type": "CNPJ"
},
"address": {
"addressLine1": "Rua das Flores, 100",
"city": "São Paulo",
"country": "BR",
"postalCode": "01234-567",
"addressLine2": "Suite 456",
"state": "SP"
},
"phone": "5511999999999",
"email": "joao.silva@example.com",
"isLegalRepresentative": false,
"currentState": {
"status": "PENDING",
"createdAt": "2026-01-15T10:30:00Z",
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
},
"ownershipPercentage": 50
}
]
},
"assets": [
{
"currency": "BRL",
"allowsVirtualAccounts": false,
"status": "ONBOARDING"
}
],
"requirements": {
"currentlyDue": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"pendingVerification": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"errors": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"satisfied": [
{
"type": "ACCOUNT_DOCUMENT",
"documentType": "ARTICLES_OF_ASSOCIATION",
"documentSubType": "FRONT_SIDE",
"requiredMetadata": [
"country"
],
"metadata": {},
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
]
},
"tags": [
{
"key": "psp",
"value": "Amazon"
},
{
"key": null,
"value": "hidden"
},
{
"key": "compliance-tier",
"value": "high"
}
],
"currentState": {
"status": "ACTION_REQUIRED",
"createdAt": "2026-01-15T10:30:00Z",
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
},
"states": [
{
"status": "ACTION_REQUIRED",
"createdAt": "2026-01-15T10:30:00Z",
"reason": {
"code": "DOCUMENT_REJECTED",
"message": "Document is illegible",
"details": {}
}
}
],
"createdAt": "2026-01-15T10:30:00Z",
"updatedAt": "2026-01-15T10:30:00Z",
"sourceAccountId": null
}
],
"meta": {
"previousCursor": "<string>",
"nextCursor": "<string>",
"total": 123
}
}
List accounts
Lists all accounts for the authenticated customer with cursor-based pagination.
GET
/
v1
/
accounts
List accounts
Authorizations
JWT bearer token. Include as Authorization: Bearer <token>. See the Authentication guide for how to obtain one.
Headers
API version. Omit to use the default version.
Example:
"1"
Query Parameters
Maximum number of items to return. Defaults to 10.
Required range:
1 <= x <= 100Opaque cursor for fetching the next or previous page.
Direction of pagination relative to the cursor.
Available options:
NEXT, PREVIOUS Sort order for results. Defaults to DESCENDING.
Available options:
ASCENDING, DESCENDING Was this page helpful?
⌘I